#!/usr/bin/perl

use strict;
use Irssi;

use vars qw($VERSION %IRSSI);

$VERSION = "0.π";
%IRSSI = (
	authors		=> 'APic',
	contact		=> 'APic@IRCnet',
	name		=> 'StripnonASCII',
	description	=> 'Script to strip non-ASCII-Characters in own Messages to a certain Target',
	license		=> 'public Domina', #no typo
	url		=> 'http://irssi.apic.name/StripnonASCIITarget.pl',
);

our $stripcolortarget = "";

sub event_send_text {
        my ($line, $srv, $witem) = @_;

        if(Irssi::settings_get_str("stripnonasciitarget") ne "" && lc($witem->{name}) eq lc(Irssi::settings_get_str("stripnonasciitarget"))) {
                $line =~ s/[^[:ascii:]]//g;
                Irssi::signal_continue($line, $srv, $witem);
        }
}

Irssi::signal_add('send text', \&event_send_text);
Irssi::settings_add_str("misc", "stripnonasciitarget", "")
